---

container-registry:
  stage: publish
  image: docker:stable
  rules:
    - if: '$CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH'
      when: on_success
      allow_failure: false
      variables:
        DOCKER_IMAGE_TAG: 'latest'
    - if: '$CI_COMMIT_TAG =~ /^\d+\.\d+\.\d+$/'
      when: on_success
      allow_failure: false
      variables:
        DOCKER_IMAGE_TAG: $CI_COMMIT_TAG
  dependencies: []
  cache: {}
  interruptible: false
  variables:
    DOCKER_BUILDKIT: 1
  before_script:
    - |
      echo -n ${CI_JOB_TOKEN} | docker login \
        --username gitlab-ci-token \
        --password-stdin \
        ${CI_REGISTRY}
  script:
    - |
      docker build  \
        --rm \
        --pull \
        --progress plain \
        --tag "${CI_REGISTRY_IMAGE}:${DOCKER_IMAGE_TAG}" \
        ./
    - docker push "${CI_REGISTRY_IMAGE}:${DOCKER_IMAGE_TAG}"
